/* initialize connection to server, get its Desktop-service and XComponentLoader interface */
xMsf=ooo.connect()   -- connect to server and retrieve remote multi server factory

-- Retrieve the Desktop object, we need its XComponentLoader interface
-- to load a new document
oDesktop         = xMsf~createInstance("com.sun.star.frame.Desktop")
xDesktop         = oDesktop~XDesktop          -- get desktop interface
xComponentLoader = xDesktop~XComponentLoader  -- get componentLoader interface

/* load an empty text document */
xWriterComponent = xComponentLoader~loadComponentFromURL("private:factory/swriter", "_blank", 0, .OOo~noProps)

-- Get a "Storable" interface in the context of the Writer application
xStorable=xWriterComponent~XStorable

-- This time we need to define a property: The filter name
storeProps = bsf.createArray(.OOo~propertyValue, 1)
storeProps[1] = .ooo~PropertyValue~new    -- create an instance
storeProps[1]~Name  = "FilterName"
storeProps[1]~Value = "MS Word 97"

storeUrl = "file:///" || changestr("\", directory(), "/") || "/test.doc"
xStorable~storeAsURL(storeUrl, storeProps)

::requires OOO.CLS   -- ooRexx support for OpenOffice.org
