/* initialize connection to server, get its Desktop-service and XComponentLoader interface */
xMsf=ooo.connect()   -- connect to server and retrieve remote multi server factory

-- Retrieve the Desktop object, we need its XComponentLoader interface
-- to load a new document
oDesktop         = xMsf~createInstance("com.sun.star.frame.Desktop")
xDesktop         = oDesktop~XDesktop          -- get desktop interface
xComponentLoader = xDesktop~XComponentLoader  -- get componentLoader interface

/* load an empty text document */
xWriterComponent = xComponentLoader~loadComponentFromURL("private:factory/swriter", "_blank", 0, .OOo~noProps)

-- Get a "Printable" interface in the context of the Writer application
xPrintable=xWriterComponent~XPrintable

-- We need to define a property: The printer name
-- This is a printer's name as known in your system.
storeProps = bsf.createArray(.OOo~propertyValue, 1)
storeProps[1] = .ooo~PropertyValue~new    -- create an instance
props[1]~Name  = "Name"
props[1]~Value = "Apple Color LW 12/660 PS on file"
xPrintable~setPrinter(props)

-- This prints the (empty) test page
props[1]~Name  = "Pages"
props[1]~Value = 1
xPrintable~print(props);

::requires OOO.CLS   -- ooRexx support for OpenOffice.org

